/*
 * Copyright
 *   2008 axYus - www.axyus.com
 *   2008 C.Bosquet - charles.bosquet@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fr.gouv.finances.dgfip.xemelios.services;

import java.util.ArrayList;
import java.util.List;

public class Menu {

    private String id;
    private String caption;
    private String href;
    private boolean page;
    private List<Menu> childs = new ArrayList<Menu>();

    public Menu(String id, String href, String caption, boolean page) {
        super();
        this.id = id;
        this.href= href;
        this.caption = caption;
        this.page = page;
    }

    public String getId() {
        return id;
    }

    public String getCaption() {
        return caption;
    }

    public String getHref() {
        return href;
    }

    public boolean isPage() {
        return page;
    }

    public List<Menu> getChilds() {
        return childs;
    }

    public void addChild(Menu menu) {
        childs.add(menu);
    }
}
